#include <stdio.h>
#include <stdlib.h>

void main()
{
	char *cookie;

   cookie = getenv("HTTP_COOKIE");

   if (cookie == NULL)
	{
		printf("Content-type: text/html%c%c",10,10);

		printf("<html>\n");
		printf("<head>\n");
		printf("<title>Clear user information</title>\n");
		printf("</head>\n");

		printf("<body>\n");
		printf("No information to be cleared.\n");
		printf("</body>\n");
		printf("</html>\n");
	}
   else
	{
		printf("Set-cookie: user=\" \";path=/\n");
		printf("Content-type: text/html%c%c",10,10);

		printf("<html>\n");
		printf("<head>\n");
		printf("<title>Clear user information</title>\n");
		printf("</head>\n");

		printf("<body>\n");
		printf("The user information has been cleared and will\n");
		printf("take effect the next time you start your browser.\n");
		printf("</body>\n");
		printf("</html>\n");
	}
};
